__author__ = 'redacted'
from urllib.parse import urlparse
import unittest

url = 'http://google.com/wiki/index/path.html'

# Unittest means you test every unit (every function) of your software.

def function_under_test(my_url):
    parsed = urlparse(my_url)

    location = parsed.netloc
    path = parsed.path
    scheme = parsed.scheme

    return location , path, scheme

#By uncommenting the following line the first line of the output will show what does our function do:

print(function_under_test(url))


# For unittesting a function you should have test-cases.
# A test case is an example of your function.
#
# If your function is adding 2 numbers : f(x,y)=x+y
# then a test case is for example: 5 = f(2,3)
#
# usually you group the behavior of your function,  and write a test-case for every group

# we create a test-case class:
class function_under_testTests(unittest.TestCase):

    # first test checks whether: function_under_test(url) == ('example.com', '/random/folder/path.html', 'http') True is.
    # if yes, this test is passed, if not it failed
    def testOne(self):
        self.assertTrue(function_under_test(url) == ('google.com', '/wiki/index/path.html', 'http' ))


    # second test checks whether: function_under_test(url) == ('example.com', '/random/folder/path.html', 'apple') False is.
    # if it is False, this test is passed, if not it failed
    def testTwo(self):
        self.assertFalse(function_under_test(url) == ('google.com', '/wiki/index/path.html', 'apple' ))


# defining the main funtion to run all the tests with one line
def main():
    unittest.main()

if __name__ == '__main__':
    # running the unittests
    main()
