

import unittest
import Split


class RedactedSplitTest(unittest.TestCase):

    def testInputString(self):
        try:
            self.failIf(PerrySplit.split_url(420))
            self.failIf(PerrySplit.split_url("webhost.bridgew.edu/jsantore/"))
            self.failIf(PerrySplit.split_url("asdfghjkl"))
            self.failIf(PerrySplit.split_url("http:/IsThis.right?"))
            self.failIf(PerrySplit.split_url("http//I.forgotSOMETHING.com/path?"))
            self.failIf(PerrySplit.split_url("::::::::::::::::::::::::::"))
            self.failIf(PerrySplit.split_url("//////////////////////////"))
            self.failIf(PerrySplit.split_url("??????????????????????????"))
        except:
            pass

    def testReturn(self):
        self.assertEqual(type(PerrySplit.split_url("https://www.youtube.com/watch?v=5v2_WiQH7Tc")), list)
        self.assertEqual(type(PerrySplit.split_url("http://webhost.bridgew.edu/")), list)
        self.assertEqual(len(PerrySplit.split_url(
            "http://www.tutorialspoint.com/java/java_interview_questions.htm")), 4)
        self.assertEqual(len(PerrySplit.split_url(
            "http://www.amazon.com/s/ref=nb_sb_noss_2?url=search-alias%3Dmobile&field-keywords=htc%20one%20m9")), 4)
        self.assertEqual(len(PerrySplit.split_url("https://www.youtube.com/watch?v=5v2_WiQH7Tc")), 4)
        self.assertEqual(len(PerrySplit.split_url("http://webhost.bridgew.edu/")), 4)
        self.assertEqual(len(PerrySplit.split_url(
            "http://webhost.bridgew.edu/jsantore/Spring2015/DevSeminar/index.html")), 4)

if __name__ == "__main__":
    unittest.main()
